"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClaimCandyProvenInstruction = exports.claimCandyProvenInstructionDiscriminator = exports.claimCandyProvenStruct = void 0;
const splToken = __importStar(require("@solana/spl-token"));
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
exports.claimCandyProvenStruct = new beet.BeetArgsStruct([
    ['instructionDiscriminator', beet.uniformFixedSizeArray(beet.u8, 8)],
    ['walletBump', beet.u8],
    ['claimBump', beet.u8],
    ['index', beet.u64],
], 'ClaimCandyProvenInstructionArgs');
exports.claimCandyProvenInstructionDiscriminator = [1, 2, 30, 252, 145, 228, 67, 145];
function createClaimCandyProvenInstruction(accounts, args, programId = new web3.PublicKey('gdrpGjVffourzkdDRrQmySw4aTHr8a3xmQzzxSwFD1a')) {
    var _a, _b, _c;
    const [data] = exports.claimCandyProvenStruct.serialize({
        instructionDiscriminator: exports.claimCandyProvenInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.distributor,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.distributorWallet,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.claimProof,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.payer,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: accounts.candyMachineConfig,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.candyMachine,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.candyMachineWallet,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.candyMachineMint,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.candyMachineMetadata,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.candyMachineMasterEdition,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: (_a = accounts.systemProgram) !== null && _a !== void 0 ? _a : web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_b = accounts.tokenProgram) !== null && _b !== void 0 ? _b : splToken.TOKEN_PROGRAM_ID,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.tokenMetadataProgram,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.candyMachineProgram,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_c = accounts.rent) !== null && _c !== void 0 ? _c : web3.SYSVAR_RENT_PUBKEY,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.clock,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createClaimCandyProvenInstruction = createClaimCandyProvenInstruction;
//# sourceMappingURL=claimCandyProven.js.map