import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare type CloseDistributorTokenAccountInstructionArgs = {
    bump: number;
};
export declare const closeDistributorTokenAccountStruct: beet.BeetArgsStruct<CloseDistributorTokenAccountInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export declare type CloseDistributorTokenAccountInstructionAccounts = {
    base: web3.PublicKey;
    distributor: web3.PublicKey;
    from: web3.PublicKey;
    to: web3.PublicKey;
    receiver: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
};
export declare const closeDistributorTokenAccountInstructionDiscriminator: number[];
export declare function createCloseDistributorTokenAccountInstruction(accounts: CloseDistributorTokenAccountInstructionAccounts, args: CloseDistributorTokenAccountInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
