import * as beet from '@metaplex-foundation/beet';
import { Creator } from './Creator';
export declare type ConfigData = {
    uuid: string;
    symbol: string;
    sellerFeeBasisPoints: number;
    creators: Creator[];
    maxSupply: beet.bignum;
    isMutable: boolean;
    retainAuthority: boolean;
    maxNumberOfLines: number;
};
export declare const configDataBeet: beet.FixableBeetArgsStruct<ConfigData>;
