"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCloseDistributorTokenAccountInstruction = exports.closeDistributorTokenAccountInstructionDiscriminator = exports.closeDistributorTokenAccountStruct = void 0;
const splToken = __importStar(require("@solana/spl-token"));
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
exports.closeDistributorTokenAccountStruct = new beet.BeetArgsStruct([
    ['instructionDiscriminator', beet.uniformFixedSizeArray(beet.u8, 8)],
    ['bump', beet.u8],
], 'CloseDistributorTokenAccountInstructionArgs');
exports.closeDistributorTokenAccountInstructionDiscriminator = [
    156, 174, 153, 120, 102, 150, 134, 142,
];
function createCloseDistributorTokenAccountInstruction(accounts, args, programId = new web3.PublicKey('gdrpGjVffourzkdDRrQmySw4aTHr8a3xmQzzxSwFD1a')) {
    var _a, _b;
    const [data] = exports.closeDistributorTokenAccountStruct.serialize({
        instructionDiscriminator: exports.closeDistributorTokenAccountInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.base,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: accounts.distributor,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.from,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.to,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.receiver,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: (_a = accounts.systemProgram) !== null && _a !== void 0 ? _a : web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_b = accounts.tokenProgram) !== null && _b !== void 0 ? _b : splToken.TOKEN_PROGRAM_ID,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createCloseDistributorTokenAccountInstruction = createCloseDistributorTokenAccountInstruction;
//# sourceMappingURL=closeDistributorTokenAccount.js.map